Bug 979134 - oo-accept-node does not properly account for old cart versions
oo-accept-node does not properly account for old cart versions
Status: CLOSED CURRENTRELEASE
Product: OpenShift Online
Classification: Red Hat
Component: Containers (Show other bugs)
2.x
Unspecified Unspecified
medium Severity medium
: ---
: ---
Assigned To: Rob Millner
libra bugs
:
Depends On:
Blocks:
  Show dependency treegraph
 
Reported: 2013-06-27 13:40 EDT by Rob Millner
Modified: 2015-05-14 19:22 EDT (History)
3 users (show)

See Also:
Fixed In Version:
Doc Type: Bug Fix
Doc Text:
Story Points: ---
Clone Of:
Environment:
Last Closed: 2013-07-22 11:18:36 EDT
Type: Bug
Regression: ---
Mount Type: ---
Documentation: ---
CRM:
Verified Versions:
Category: ---
oVirt Team: ---
RHEL 7.3 requirements from Atomic Host:
Cloudforms Team: ---


Attachments (Terms of Use)

  None (edit)
Description Rob Millner 2013-06-27 13:40:40 EDT
Description of problem:

The "check_cartridge_repository" function in oo-accept-node gets confused if there's an older version of the cartridge in the repository as well as a newer one.

Version-Release number of selected component (if applicable):


How reproducible:
Always, if there's both an old and new version installed

Steps to Reproduce:
1. Upgrade cartridges
2. run oo-accept-node

Actual results:


FAIL: cart repo version is older than /usr/libexec/openshift/cartridges/v2/phpmyadmin/metadata/manifest.yml
FAIL: cart repo version is older than /usr/libexec/openshift/cartridges/v2/python/metadata/manifest.yml
FAIL: cart repo version is older than /usr/libexec/openshift/cartridges/v2/switchyard/metadata/manifest.yml
FAIL: cart repo version is older than /usr/libexec/openshift/cartridges/v2/zend/metadata/manifest.yml
FAIL: cart repo version is older than /usr/libexec/openshift/cartridges/v2/jbossews/metadata/manifest.yml
FAIL: cart repo version is older than /usr/libexec/openshift/cartridges/v2/perl/metadata/manifest.yml
FAIL: cart repo version is older than /usr/libexec/openshift/cartridges/v2/php/metadata/manifest.yml
FAIL: cart repo version is older than /usr/libexec/openshift/cartridges/v2/jbosseap/metadata/manifest.yml
FAIL: cart repo version is older than /usr/libexec/openshift/cartridges/v2/jbossas/metadata/manifest.yml

Expected results:

No failures.

Additional info:

http://pastebin.test.redhat.com/149630
Comment 1 Rob Millner 2013-06-27 14:56:42 EDT
Taking off the blocker list.  To work around, do the following:
find /var/lib/openshift/.cartridge_repository -name manifest.yml | xargs touch
Comment 2 Rob Millner 2013-06-27 15:40:50 EDT
Back on blocker list.
Comment 3 Rob Millner 2013-06-27 16:00:54 EDT
Master pull request:
https://github.com/openshift/origin-server/pull/2955
Comment 4 Rob Millner 2013-06-27 16:04:03 EDT
Stage pull request:
https://github.com/openshift/origin-server/pull/2956
Comment 5 openshift-github-bot 2013-06-27 18:04:44 EDT
Commit pushed to master at https://github.com/openshift/origin-server

https://github.com/openshift/origin-server/commit/aefff2b83a30ae153765756d3bcda173bb1b8b93
Bug 979134 - the v1 cart version check was matching older versions of the v2 cart and is no longer necessary.
Comment 6 Meng Bo 2013-06-28 05:02:48 EDT
Checked on devenv-stage_382,

1. Modify the Cartridge Version to older one in manifest file under /usr/libexec/openshift/cartridges/v2/zend
2. Install the cartridge 
3. Check there are two versions installed.

# tree /var/lib/openshift/.cartridge_repository/redhat-zend/ -L 1
/var/lib/openshift/.cartridge_repository/redhat-zend/
├── 0.0.1
└── 0.0.2

4. Run oo-accept-node

It will not report the cartridge version unmatched.


Move bug to verified.

Note You need to log in before you can comment on or make changes to this bug.